#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'multimedia_paradise/audio/file_duration/file_duration.rb'

# =========================================================================== #
# Hardcoded video file to test the input.
# =========================================================================== #
video_file =
  '/home/x/STUDIUM/BOKU_WIEN/831110_Botanik_AW/VIDEOS/Botanik_AW_2012.m4v'

p MultimediaParadise::FileDuration.new(video_file)
p MultimediaParadise::FileDuration[video_file]
# =========================================================================== #
# Duration: 05:18:29.30, start: 0.000000, bitrate: 295 kb/s
# =========================================================================== #